Routes Overview
Global Information
| Item | Value |
|---|---|
| Base URL | https://logox.top |
| Auth | Authorization: Bearer sk-logox-your-key |
| Model query | GET /v1/models |
After changing the Base URL, requests work the same way as the official provider APIs.
Text Models and Calling Styles
OpenAI Style
| Method | Path | Description |
|---|---|---|
POST | /v1/chat/completions | Chat and text generation |
POST | /v1/responses | Responses API |
POST | /v1/embeddings | Embeddings API |
GET | /v1/models | Query models available to the current group token |
Anthropic Style
| Method | Path | Description |
|---|---|---|
POST | /v1/messages | Anthropic API |
GET | /v1/models | Query models available to the current group token |
Gemini Style
| Method | Path | Description |
|---|---|---|
POST | /v1beta/models/{model}:generateContent | Gemini API |
GET | /v1/models | Query models available to the current group token |
Cross-Provider Capabilities
Note: video, image, and audio routes are not yet complete. They will continue to improve and can currently be treated as temporarily disabled.
Images
| Method | Path |
|---|---|
POST | /v1/images/generations |
POST | /v1/images/edits |
GET | /v1/models |
Videos
| Method | Path |
|---|---|
POST | /v1/videos |
GET | /v1/videos/{task_id} |
GET | /v1/videos/{task_id}/content |
POST | /v1/videos/{video_id}/remix |
GET | /v1/models |
Audio
| Method | Path |
|---|---|
POST | /v1/audio/transcriptions |
POST | /v1/audio/translations |
POST | /v1/audio/speech |
GET | /v1/models |
